Subject: [Json] [Errata Rejected] RFC7159 (4298)

From: RFC Errata System <[email-masked]>
Date: Wed, 11 Mar 2015 13:45:05 -0700 (PDT)

The following errata report has been rejected for RFC7159,
"The JavaScript Object Notation (JSON) Data Interchange Format".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7159&eid=4298

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Michael Kay <[email-masked]>
Date Reported: 2015-03-11
Rejected by: Barry Leiba (IESG)

Section: 7 Strings

Original Text
-------------
4HEXDIG

Corrected Text
--------------
Something along the lines

4hexdig
hexdig = 0..9 A..F a..f

Notes
-----
The prose states that within a six-character escape sequence starting \u, the hex digits can be either upper or lower case. But the grammar only allows upper case, because it uses the symbol HEXDIG which is defined in RFC 5234 to include upper case A..F only. There is thus an inconsistency beween the grammar and the prose, and although most readers are likely to know which to believe, the spec is formally ambiguous on this point.
 --VERIFIER NOTES-- 
The reporter doesn't understand RFC 5234.  Look in Section 2.3 (Terminal Values), and see this:

>   NOTE:
>
>      ABNF strings are case insensitive and the character set for these
>      strings is US-ASCII.

There is no inconsistency, and the text as written allows both upper and lower case for the hex digits.

--------------------------------------
RFC7159 (draft-ietf-json-rfc4627bis-rfc7159bis)
--------------------------------------
Title               : The JavaScript Object Notation (JSON) Data Interchange Format
Publication Date    : March 2014
Author(s)           : T. Bray, Ed.
Category            : PROPOSED STANDARD
Source              : JavaScript Object Notation
Area                : Applications
Stream              : IETF
Verifying Party     : IESG